> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kits.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# GET: Fetch Voice Models

> Access available voice models using the Kits API.

Returns a paginated list of [voice models](/api-reference/types-limits/voice-model).

### Query Parameters

<ParamField query="order*" type="String">
  asc (default) or desc
</ParamField>

<ParamField query="page" type="Number">
  Page offset (default 1)
</ParamField>

<ParamField query="perPage" type="Number">
  Page size (default 10)
</ParamField>

<ParamField query="myModels" type="Boolean">
  Filter the response to your models only.
</ParamField>

<ParamField query="instruments" type="Boolean">
  Filter the response to instrument models only.
</ParamField>

### Headers

<ParamField query="Authorization*" type="String">
  Bearer `<api-key>`
</ParamField>

### Response

<ResponseField name="data" type="List of Voice Models">
  <Expandable title="Data">
    [Voice Model](/api-reference/types-limits/voice-model)
  </Expandable>
</ResponseField>

<ResponseField name="meta" type="Pagination Meta">
  <Expandable title="Data">
    [Pagination Meta](/api-reference/types-limits/pagination-meta)
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json 200: OK theme={null}
  {
      "data": [
          {
              "id": 110784,
              "title": "Male Pop",
              "tags": ["Singing", "Chest Voice", "Classical", "Opera", "Jazz"],
              "imageUrl": "https://arpeggi-prod-public.s3.us-west-2.amazonaws.com/voice-models/images/WOPD47ciycl4AkcXyxiwT.png",
              "demoUrl": "https://arpeggi-prod-public.s3.us-west-2.amazonaws.com/voice-models/demos/tszZHHKzsrbXMiVfz7irs.mp3",
              "twitterLink": null,
              "instagramLink": null,
              "tiktokLink": null,
              "spotifyLink": null,
              "youtubeLink": null
          },
          ...
      ],
      "meta": {
          "currentPage": 1,
          "firstPage": 1,
          "firstPageUrl": "/?page=1",
          "lastPage": 3,
          "lastPageUrl": "/?page=2",
          "nextPageUrl": "/?page=3",
          "perPage": 10,
          "previousPageUrl": null,
          "total": 30,
      }
  }
  ```

  ```bash 422: Unprocessable Entity theme={null}
  Query params are invalid.
  ```

  ```bash 401: Unauthorized theme={null}
  Authentication was not provided or was invalid.
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.